﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace TabbedProxySample
{
    public partial class MainForm : Form
    {
        private ProxyTabControl tabControl;

        public MainForm()
        {
            InitializeComponent();

            tabControl = new ProxyTabControl(new List<ProxyConfig>()
                {
                    new ProxyConfig("23.111.166.114", 8080),
                    new ProxyConfig("52.224.181.154", 3128)
                })
                {Dock = DockStyle.Fill};

            BrowserTabPanel.Controls.Add(tabControl);

            AddressTextBox.Text = "whatismyproxy.com";
            tabControl.GoToUrl(AddressTextBox.Text);

            Closed += MainForm_Closed;
        }

        private void MainForm_Closed(object sender, EventArgs e)
        {
            tabControl.DisposeTabs();
        }

        private void GoButton_Click(object sender, EventArgs e)
        {
            tabControl.GoToUrl(AddressTextBox.Text);
        }
    }
}
