﻿using System.Collections.Generic;
using System.Windows.Forms;

namespace TabbedProxySample
{
    public class ProxyTabControl : TabControl
    {
        public List<ProxyConfig> ProxyConfigs { get; }

        public ProxyTabControl(List<ProxyConfig> proxyConfigs)
        {
            ProxyConfigs = proxyConfigs;

            CreateProxyTabs();
        }

        public void GoToUrl(string url)
        {
            foreach (TabPage tabPage in TabPages)
            {
                ProxyTabPage proxyTabPage = tabPage as ProxyTabPage;
                if (proxyTabPage != null)
                {
                    proxyTabPage.GoToUrl(url);
                }
            }
        }

        private void CreateProxyTabs()
        {
            //Create the tab bor the direct access
            ProxyTabPage tabWithoutProxy = new ProxyTabPage(null);
            TabPages.Add(tabWithoutProxy);

            //Create the tab for the access via proxy
            foreach (ProxyConfig proxyConfig in ProxyConfigs)
            {
                ProxyTabPage tabWithProxy = new ProxyTabPage(proxyConfig);
                TabPages.Add(tabWithProxy);
            }
        }

        public void DisposeTabs()
        {
            foreach (TabPage tabPage in TabPages)
            {
                ProxyTabPage proxyTabPage = tabPage as ProxyTabPage;
                if (proxyTabPage != null)
                {
                    proxyTabPage.DisposeBrowser();
                }
            }
        }
    }
}
